Skip to main content

Get Cluster Activity Timeline

Returns the audited activity timeline for the cluster for a given month - each management event (cluster created, security group attached/detached, PV created/removed, tool installed, and so on), its timestamp, details, who performed it, the client IP, and whether it succeeded. Filter with the required year and month query parameters.

GET/api/v1/kubernetes/timeline/{service_id}/

Path parameters

  • service_idPathintegerrequired

    The cluster service_id, as returned by List.

    • required
    • must be a valid cluster service ID
    example12345

Query parameters

  • yearQueryintegerrequired

    Four-digit year to filter the timeline by.

    • required
    • four-digit year
    example2026
  • monthQueryintegerrequired

    Month (1-12) to filter the timeline by.

    • required
    • integer between 1 and 12
    example7
  • project_idQueryintegerrequired

    Identifier of the project to scope the request to. Required integer project ID.

    • required
    • must be a valid integer project ID
    example{{project_id}}
  • apikeyQuerystringrequired

    API key used to authenticate the request.

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringrequired

    Region of the cluster.

    • required
    • must be a valid region name (e.g., Delhi, Chennai)
    example{{location}}

Responses

200Successful response
object
codeinteger
example200
dataarray

Audited cluster management events.

errorsobject
messagestring
exampleSuccess